package com.benyanyi.bootstrap;

import android.content.Context;
import android.content.SharedPreferences;

/**
 * @author DELL
 * @date 2023/2/14 13:45
 * @user yangjiewei
 * @email ben@yanyi.red
 * @overview
 */
class ShareUtil {

    private static ShareUtil instance;
    private final String name = "benyanyi_sha";

    private SharedPreferences sha;

    private SharedPreferences.Editor oEditor;

    static String KEY = "ben_package";

    ShareUtil() {
    }

    static ShareUtil getInstance() {
        if (null == instance) {
            synchronized (ShareUtil.class) {
                if (null == instance) {
                    instance = new ShareUtil();
                }
            }
        }
        return instance;
    }


    void saveShaString(Context mContext, String key, String value) {
        sha = mContext.getSharedPreferences(name, Context.MODE_PRIVATE);
        oEditor = sha.edit();
        oEditor.putString(key, value);
        oEditor.apply();
    }

    String getShaString(Context mContext, String key, String value) {
        sha = mContext.getSharedPreferences(name, Context.MODE_PRIVATE);
        return sha.getString(key, value);
    }

}
